> For the complete documentation index, see [llms.txt](https://docs.tasksource.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tasksource.io/api-documentation/user/requestdeveloperverification.md).

# requestDeveloperVerification

### Input parameters

* UserUID

### How to call from app

HTTP request to: /reqest-Developer-verification

### Logic

1. The frontend (app.tasksource.io) calls the API
2. validate if the following fields in the user Document are not empty:&#x20;

* country
* allowPublicViewingOfProfile (boolean)
* allowGeneralPrivacyPolicy (boolean)
* termsAndConditionsAgreement (boolean)
* postalCode
* lastName
* firstName
* city
* skills (array != empty)
* languageSkills (array != empty)
* githubUrl
* linkedinUrl
* streetAddress
* email
* legalInvoiceInformation
* bankInformation
* profileImage

1. <mark style="color:red;">**If field is invalid**</mark>&#x20;

   &#x20;      <mark style="color:red;">**return name of the field with error**</mark>&#x20;
2. <mark style="color:green;">**If all fields are valid do:**</mark>
   1. add a field to the user: hasRequestedVerification: true
   2. Send email:
      1. to\_email\_adress = "user\_email"
      2. template\_name = "request-developer-verification->us"
      3. data = {}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tasksource.io/api-documentation/user/requestdeveloperverification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
